Update draft invoice
curl --request PATCH \
--url https://api.bizzyco.ai/v1/invoices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billToName": "<string>",
"billToEmail": "<string>",
"billToAddressLine1": "<string>",
"billToAddressLine2": "<string>",
"billToCity": "<string>",
"billToState": "<string>",
"billToPostalCode": "<string>",
"billToCountry": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"terms": "<string>",
"data": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
billToName: '<string>',
billToEmail: '<string>',
billToAddressLine1: '<string>',
billToAddressLine2: '<string>',
billToCity: '<string>',
billToState: '<string>',
billToPostalCode: '<string>',
billToCountry: '<string>',
dueAt: '2023-11-07T05:31:56Z',
notes: '<string>',
terms: '<string>',
data: {}
})
};
fetch('https://api.bizzyco.ai/v1/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/invoices/{id}"
payload = {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billToName": "<string>",
"billToEmail": "<string>",
"billToAddressLine1": "<string>",
"billToAddressLine2": "<string>",
"billToCity": "<string>",
"billToState": "<string>",
"billToPostalCode": "<string>",
"billToCountry": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"terms": "<string>",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/invoices/{id}"
payload := strings.NewReader("{\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"billToName\": \"<string>\",\n \"billToEmail\": \"<string>\",\n \"billToAddressLine1\": \"<string>\",\n \"billToAddressLine2\": \"<string>\",\n \"billToCity\": \"<string>\",\n \"billToState\": \"<string>\",\n \"billToPostalCode\": \"<string>\",\n \"billToCountry\": \"<string>\",\n \"dueAt\": \"2023-11-07T05:31:56Z\",\n \"notes\": \"<string>\",\n \"terms\": \"<string>\",\n \"data\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"invoiceNumber": "<string>",
"billToName": "<string>",
"billToEmail": "<string>",
"billToAddressLine1": "<string>",
"billToAddressLine2": "<string>",
"billToCity": "<string>",
"billToState": "<string>",
"billToPostalCode": "<string>",
"billToCountry": "<string>",
"totalAmountCents": 123,
"currency": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"overdueAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"terms": "<string>",
"data": {},
"lineItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"quantity": "<string>",
"unitAmountCents": 123,
"amountCents": 123,
"currency": "<string>",
"position": 1073741823
}
]
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Invoices
Update draft invoice
Update draft invoice header fields. Issued invoices cannot be edited.
PATCH
/
v1
/
invoices
/
{id}
Update draft invoice
curl --request PATCH \
--url https://api.bizzyco.ai/v1/invoices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billToName": "<string>",
"billToEmail": "<string>",
"billToAddressLine1": "<string>",
"billToAddressLine2": "<string>",
"billToCity": "<string>",
"billToState": "<string>",
"billToPostalCode": "<string>",
"billToCountry": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"terms": "<string>",
"data": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
billToName: '<string>',
billToEmail: '<string>',
billToAddressLine1: '<string>',
billToAddressLine2: '<string>',
billToCity: '<string>',
billToState: '<string>',
billToPostalCode: '<string>',
billToCountry: '<string>',
dueAt: '2023-11-07T05:31:56Z',
notes: '<string>',
terms: '<string>',
data: {}
})
};
fetch('https://api.bizzyco.ai/v1/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/invoices/{id}"
payload = {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billToName": "<string>",
"billToEmail": "<string>",
"billToAddressLine1": "<string>",
"billToAddressLine2": "<string>",
"billToCity": "<string>",
"billToState": "<string>",
"billToPostalCode": "<string>",
"billToCountry": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"terms": "<string>",
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/invoices/{id}"
payload := strings.NewReader("{\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"billToName\": \"<string>\",\n \"billToEmail\": \"<string>\",\n \"billToAddressLine1\": \"<string>\",\n \"billToAddressLine2\": \"<string>\",\n \"billToCity\": \"<string>\",\n \"billToState\": \"<string>\",\n \"billToPostalCode\": \"<string>\",\n \"billToCountry\": \"<string>\",\n \"dueAt\": \"2023-11-07T05:31:56Z\",\n \"notes\": \"<string>\",\n \"terms\": \"<string>\",\n \"data\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"invoiceNumber": "<string>",
"billToName": "<string>",
"billToEmail": "<string>",
"billToAddressLine1": "<string>",
"billToAddressLine2": "<string>",
"billToCity": "<string>",
"billToState": "<string>",
"billToPostalCode": "<string>",
"billToCountry": "<string>",
"totalAmountCents": 123,
"currency": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"overdueAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"terms": "<string>",
"data": {},
"lineItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"quantity": "<string>",
"unitAmountCents": 123,
"amountCents": 123,
"currency": "<string>",
"position": 1073741823
}
]
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Path Parameters
Invoice UUID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Show child attributes
Show child attributes
Available options:
aed, afn, all, amd, ang, aoa, ars, aud, awg, azn, bam, bbd, bdt, bgn, bhd, bif, bmd, bnd, bob, bov, brl, bsd, btn, bwp, byn, bzd, cad, cdf, che, chf, chw, clf, clp, cny, cop, cou, crc, cup, cve, czk, djf, dkk, dop, dzd, egp, ern, etb, eur, fjd, fkp, gbp, gel, ghs, gip, gmd, gnf, gtq, gyd, hkd, hnl, htg, huf, idr, ils, inr, iqd, irr, isk, jmd, jod, jpy, kes, kgs, khr, kmf, kpw, krw, kwd, kyd, kzt, lak, lbp, lkr, lrd, lsl, lyd, mad, mdl, mga, mkd, mmk, mnt, mop, mru, mur, mvr, mwk, mxn, mxv, myr, mzn, nad, ngn, nio, nok, npr, nzd, omr, pab, pen, pgk, php, pkr, pln, pyg, qar, ron, rsd, rub, rwf, sar, sbd, scr, sdg, sek, sgd, shp, sle, sos, srd, ssp, stn, svc, syp, szl, thb, tjs, tmt, tnd, top, try, ttd, twd, tzs, uah, ugx, usd, usn, uyi, uyu, uyw, uzs, ved, ves, vnd, vuv, wst, xaf, xcd, xcg, xdr, xof, xpf, xsu, xua, yer, zar, zmw, zwg Last modified on August 30, 2026